Package be.fgov.ehealth.etee.ra.aqdr._1_0.protocol

# Class EHActorQualitiesDataRequest

java.lang.Object
be.fgov.ehealth.etee.ra.aqdr._1_0.protocol.EHActorQualitiesDataRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class EHActorQualitiesDataRequest extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SSIN" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="EntityType" type="{urn:be:fgov:ehealth:etee:ra:aqdr:1_0:protocol}EntityType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EHActorQualitiesDataRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EntityType`
  `getEntityType()`
  Gets the value of the entityType property.
  `String`
  `getSSIN()`
  Gets the value of the ssin property.
  `void`
  `setEntityType(EntityType value)`
  Sets the value of the entityType property.
  `void`
  `setSSIN(String value)`
  Sets the value of the ssin property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EHActorQualitiesDataRequest

    public EHActorQualitiesDataRequest()

- ## Method Details

  - ### getSSIN

    public String getSSIN()
    Gets the value of the ssin property.
    Returns:
      possible object is `String`

  - ### setSSIN

    public void setSSIN(String value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEntityType

    public EntityType getEntityType()
    Gets the value of the entityType property.
    Returns:
      possible object is `EntityType`

  - ### setEntityType

    public void setEntityType(EntityType value)
    Sets the value of the entityType property.
    Parameters:
      `value` - allowed object is `EntityType`